Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezuser/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 7663 2001-10-04 14:31:14Z bf $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 $ini =& eZINI::instance( 'site.ini' );
29 if ( isset( $GlobalSectionIDOverride ) )
30 {
31 $GlobalSectionID = $GlobalSectionIDOverride;
32 }
33 else
34 {
35 $GlobalSectionID = $ini->variable( "eZUserMain", "DefaultSection" );
36 }
37
38 switch ( $url_array[2] )
39 {
40 case "step1" :
41 {
42 $Action = $url_array[3];
43 include( "kernel/ezuser/user/step1.php" );
44 }
45 break;
46
47 case "step2" :
48 {
49 $Action = $url_array[3];
50 include( "kernel/ezuser/user/step2.php" );
51 }
52 break;
53
54 case "confirmation" :
55 case "account" :
56 {
57 $Action = $url_array[3];
58 include( "kernel/ezuser/user/account_static.php" );
59
60 }
61 break;
62
63 // ##BREAK
64
65 case "login" :
66 {
67 $Action = $url_array[3];
68 include( "kernel/ezuser/user/login.php" );
69 }
70 break;
71
72 case "loginmain" :
73 {
74 $Action = $url_array[3];
75 include( "kernel/ezuser/user/loginmain.php" );
76 }
77 break;
78
79 case "norights":
80 {
81 include( "kernel/ezuser/user/norights.php" );
82 }
83 break;
84
85 case "new":
86 if ( $url_array[2] == "new" ){
87 $Action = "New";
88 }
89 case "edit":
90
91 if ( $url_array[3] == "new" || $url_array[3] == "edit") // && $url_array[2] == "edit")
92 {
93 $Action = "Edit";
94 $url_array[3] = "edit";
95 }
96 if ( $url_array[2] == "edit" ); // new" || $url_array[2] == "edit") // && $url_array[2] == "edit")
97 {
98 $Action = "Edit";
99 $url_array[3] = "edit";
100 }
101 // die( " $url_array[2] - $url_array[3] ");
102 case "user" :
103 {
104 if ( $url_array[3] == "new" || $url_array[2] == "new") // && $url_array[2] == "new")
105 {
106 $Action = "New";
107 }
108 if ( $url_array[3] == "edit" ) // || $url_array[2] == "edit" )
109 {
110 if ( $url_array[5] == "MissingAddress" )
111 $MissingAddress = true;
112 else
113 $MissingAddress = false;
114 if ( $url_array[5] == "MissingCountry" )
115 $MissingCountry = true;
116 else
117 $MissingCountry = false;
118
119 /*
120 if ( $url_array[4] != '' ){
121 $UserID = $url_array[4];
122 $Action = "Edit";
123 } else {
124 $UserID = 0;
125 $Action = "Edit";
126 }
127 */
128 }
129 if ( $url_array[3] == "update" )
130 {
131 $UserID = $url_array[4];
132 $Action = "Update";
133 }
134
135 if ( $url_array[3] == "" )
136 $Action = "New";
137
138 if ( $url_array[3] == "insert" )
139 $Action = "Insert";
140
141 // die( " $Action : $url_array[2] - $url_array[3] ");
142
143 $OverrideUserWithAddress = "";
144
145 if( $ini->variable( "eZUserMain", "OverrideUserWithAddress" ) != "disabled" ){
146 $OverrideUserWithAddress = $ini->variable( "eZUserMain", "OverrideUserWithAddress" );
147 }
148
149 if ( empty( $OverrideUserWithAddress ) )
150 {
151 include( "kernel/ezuser/user/useredit.php" );
152 }
153 else
154 {
155 if ( is_file( $OverrideUserWithAddress ) )
156 {
157 include( $OverrideUserWithAddress );
158 }
159 else
160 {
161 // patric's : header("Location: /index.php/user/step1/");
162 include( "kernel/ezuser/user/useredit.php" );
163 }
164 }
165 }
166 break;
167 case "withaddress" :
168 case "userwithaddress" :
169 {
170 if ( $url_array[3] == "new" )
171 {
172 $Action = "New";
173 header("Location: /user/new/");
174 }
175 if ( $url_array[3] == "edit" )
176 {
177 if ( $url_array[5] == "MissingAddress" )
178 $MissingAddress = true;
179 else
180 $MissingAddress = false;
181 if ( $url_array[5] == "MissingCountry" )
182 $MissingCountry = true;
183 else
184 $MissingCountry = false;
185
186 $UserID = $url_array[4];
187 $Action = "Edit";
188 //$RedirectURL = "/BypassRedirect/Edit/";
189 //$RedirectURL = $RedirectURL;
190 //$RedirectURL = $session->variable( "RedirectURL" );
191 if ( !isset( $RedirectURL ) or !$RedirectURL )
192 $RedirectURL = $session->variable( "RedirectURL" );
193 }
194 if ( $url_array[3] == "update" )
195 {
196 $UserID = $url_array[4];
197 $Action = "Update";
198 }
199
200 if ( $url_array[3] == "insert" )
201 $Action = "Insert";
202
203 $OverrideUserWithAddress = $ini->variable( "eZUserMain", "OverrideUserWithAddress" );
204
205 if ( empty( $OverrideUserWithAddress ) )
206 {
207 include( "kernel/ezuser/user/userwithaddress.php" );
208 }
209 else
210 {
211 if ( is_file( $OverrideUserWithAddress ) )
212 {
213 include( $OverrideUserWithAddress );
214 }
215 else
216 {
217 include( "kernel/ezuser/user/userwithaddress.php" );
218 }
219 }
220
221 }
222 break;
223
224 case "forgot" :
225 {
226 $Action = $url_array[3];
227 $Hash = $url_array[4];
228 include( "kernel/ezuser/user/forgot.php" );
229 }
230 break;
231
232 case "address" :
233 {
234 if ( $url_array[3] == "new" )
235 $Action = "New";
236 if ( $url_array[3] == "insert" )
237 $Action = "Insert";
238
239 if ( $url_array[3] == "edit" )
240 {
241 $Action = "Edit";
242 }
243 if ( $url_array[3] == "update" )
244 {
245 $Action = "Update";
246 }
247
248 include( "kernel/ezuser/user/addressedit.php" );
249 }
250 break;
251
252 case "logout" :
253 {
254 $Action = $url_array[2];
255 include( "kernel/ezuser/user/login.php" );
256 }
257 break;
258
259 case "unsuccessfull":
260 {
261 $unsuccessfull = true;
262 include( "kernel/ezuser/user/forgotmessage.php" );
263 }
264 break;
265
266 case "successfull":
267 {
268 $successfull = true;
269 include( "kernel/ezuser/user/forgotmessage.php" );
270 }
271 break;
272
273 case "missingemail":
274 {
275 $successfull = true;
276 include( "kernel/ezuser/user/missingemailmessage.php" );
277 }
278 break;
279
280 case "generated":
281 {
282 $generated = true;
283 include( "kernel/ezuser/user/forgotmessage.php" );
284 }
285 break;
286
287 case "passwordchange" :
288 {
289 $ini =& eZINI::instance( 'site.ini' );
290 $DemoSite = $ini->variable( "site", "DemoSite" );
291
292 if ( $DemoSite == "enabled" ) {
293 print("<div align='center'>This is a demosite only. You are not allowed to change the admin password!</div>\n");
294 }else{
295 $Action = $url_array[3];
296 include( "kernel/ezuser/admin/passwordchange.php" );
297 }
298
299 }
300 break;
301
302 default :
303 {
304 include( "kernel/ezuser/user/login.php" );
305 }
306 break;
307
308
309 }
310
311 ?>
$session
$session
Definition: admin/articlelist.php:44
$successfull
$successfull
Definition: bugreport.php:73
$Action
$Action
Definition: companysearch.php:80
$GlobalSectionID
$GlobalSectionID
Definition: ezad/user/datasupplier.php:28
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$RedirectURL
$RedirectURL
Definition: ezforum/user/userlogin.php:91
$ini
$ini
Definition: ezuser/user/datasupplier.php:28
$UserID
$UserID
Definition: todoedit.php:122
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.